Add a human annotation/label to a trace
curl --request POST \
--url https://api.example.com/api/v1/traces/{trace_id}/annotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"rating": 3,
"correctness": "<string>",
"error_categories": [
"<string>"
],
"corrected_output": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"score": 0.5,
"flagged_for_review": false,
"add_to_dataset": false
}
'import requests
url = "https://api.example.com/api/v1/traces/{trace_id}/annotations"
payload = {
"label": "<string>",
"rating": 3,
"correctness": "<string>",
"error_categories": ["<string>"],
"corrected_output": "<string>",
"tags": ["<string>"],
"notes": "<string>",
"score": 0.5,
"flagged_for_review": False,
"add_to_dataset": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
rating: 3,
correctness: '<string>',
error_categories: ['<string>'],
corrected_output: '<string>',
tags: ['<string>'],
notes: '<string>',
score: 0.5,
flagged_for_review: false,
add_to_dataset: false
})
};
fetch('https://api.example.com/api/v1/traces/{trace_id}/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}annotations
Add a human annotation/label to a trace
Add a human annotation/label to a trace.
POST
/
api
/
v1
/
traces
/
{trace_id}
/
annotations
Add a human annotation/label to a trace
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Headers
Path Parameters
Cookies
Body
application/json
thumbs_up | thumbs_down | needs_correction (legacy, auto-derived if omitted)
1-5 star quality rating
Required range:
1 <= x <= 5correct | partial | incorrect
e.g. ["hallucination", "missing_info"]
Required range:
0 <= x <= 1Response
Successful Response
⌘I